//
// Model lighting vertex shader
//
// replicates the way fixed function lighting is used by the model lighting option,
// stores the lighting result to gl_Color
// (ambient lighting of 0.75 and diffuse lighting from above)

void main()
{
	float nDotVP = dot(gl_Normal, vec3(0, 1, 0));
	float light = 0.75 + max(nDotVP, 0.0);
	gl_Position = gl_ProjectionMatrix * gl_ModelViewMatrix * gl_Vertex;
	gl_FrontColor = vec4(light, light, light, 1.0);
	gl_TexCoord[0].xy = gl_MultiTexCoord0.xy;
	gl_ClipVertex = gl_ModelViewMatrix * gl_Vertex;
}
